Debian Bug report logs - #572246
iptotal: package presumes that apache2 is installed

version graph

Package: iptotal; Maintainer for iptotal is Ignace Mouzannar <mouzannar@gmail.com>; Source for iptotal is src:iptotal.

Reported by: Ernesto Domato <edomat@gmail.com>

Date: Tue, 2 Mar 2010 16:06:10 UTC

Severity: grave

Found in version iptotal/0.3.3-11

Fixed in version iptotal/0.3.3-12

Done: Ignace Mouzannar <mouzannar@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, edomat@gmail.com, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#572246; Package iptotal. (Tue, 02 Mar 2010 16:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ernesto Domato <edomat@gmail.com>:
New Bug report received and forwarded. Copy sent to edomat@gmail.com, Ignace Mouzannar <mouzannar@gmail.com>. (Tue, 02 Mar 2010 16:06:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ernesto Domato <edomat@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iptotal: package presumes that apache2 is installed
Date: Tue, 02 Mar 2010 13:05:52 -0300
Package: iptotal
Version: 0.3.3-11
Severity: grave
Justification: renders package unusable

The package depends on apache2 or httpd. I tried to install it on a machine that has lighttpd package that fulfills the httpd requirement but the iptotal package tries to reload apache2 without checking if it is installed or not, leaving the package on a broken state that can't be uninstalled.

Thanks.
Ernesto.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/1 CPU core)
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#572246; Package iptotal. (Tue, 02 Mar 2010 17:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <mouzannar@gmail.com>:
Extra info received and forwarded to list. (Tue, 02 Mar 2010 17:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 572246@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: 572246@bugs.debian.org
Cc: Ernesto Domato <edomat@gmail.com>
Subject: Re: Bug#572246: iptotal: package presumes that apache2 is installed
Date: Tue, 2 Mar 2010 18:31:33 +0100
Hello Ernesto,

On Tue, Mar 2, 2010 at 17:05, Ernesto Domato <edomat@gmail.com> wrote:
> The package depends on apache2 or httpd. I tried to install it on a machine that has lighttpd package that fulfills the httpd requirement but the iptotal package tries to reload apache2 without checking if it is installed or not, leaving the package on a broken state that can't be uninstalled.

You are absolutely right.

I will upload a new release ASAP correcting this bug.

Thank you for reporting this issue.

Kind regards,
 Ignace M




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#572246; Package iptotal. (Tue, 02 Mar 2010 19:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <mouzannar@gmail.com>:
Extra info received and forwarded to list. (Tue, 02 Mar 2010 19:24:05 GMT) Full text and rfc822 format available.

Message #15 received at 572246@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: 572246@bugs.debian.org
Cc: Ernesto Domato <edomat@gmail.com>
Subject: Re: Bug#572246: iptotal: package presumes that apache2 is installed
Date: Tue, 2 Mar 2010 20:20:54 +0100
tags 572246 + pending
thanks

I have just sent a request for sponsorship on m.d.n [1].

Sorry for the inconvenience.

Regards,
 Ignace M

[1] http://lists.debian.org/debian-mentors/2010/03/msg00047.html




Added tag(s) pending. Request was from Ignace Mouzannar <mouzannar@gmail.com> to control@bugs.debian.org. (Tue, 02 Mar 2010 19:24:06 GMT) Full text and rfc822 format available.

Reply sent to Ignace Mouzannar <mouzannar@gmail.com>:
You have taken responsibility. (Sat, 03 Apr 2010 16:03:07 GMT) Full text and rfc822 format available.

Notification sent to Ernesto Domato <edomat@gmail.com>:
Bug acknowledged by developer. (Sat, 03 Apr 2010 16:03:07 GMT) Full text and rfc822 format available.

Message #22 received at 572246-close@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: 572246-close@bugs.debian.org
Subject: Bug#572246: fixed in iptotal 0.3.3-12
Date: Sat, 03 Apr 2010 16:00:06 +0000
Source: iptotal
Source-Version: 0.3.3-12

We believe that the bug you reported is fixed in the latest version of
iptotal, which is due to be installed in the Debian FTP archive:

iptotal_0.3.3-12.debian.tar.gz
  to main/i/iptotal/iptotal_0.3.3-12.debian.tar.gz
iptotal_0.3.3-12.dsc
  to main/i/iptotal/iptotal_0.3.3-12.dsc
iptotal_0.3.3-12_amd64.deb
  to main/i/iptotal/iptotal_0.3.3-12_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572246@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ignace Mouzannar <mouzannar@gmail.com> (supplier of updated iptotal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 31 Mar 2010 00:57:48 +0200
Source: iptotal
Binary: iptotal
Architecture: source amd64
Version: 0.3.3-12
Distribution: unstable
Urgency: low
Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
Changed-By: Ignace Mouzannar <mouzannar@gmail.com>
Description: 
 iptotal    - monitor for IP traffic, not requiring SNMP
Closes: 572246 574121
Changes: 
 iptotal (0.3.3-12) unstable; urgency=low
 .
   * debian/control:
     - Bumped Standards-Version to 3.8.4.
     - Added dependency on ${misc:Depends}.
     - Set dependency on debhelper to (>= 7.0.50~) in order to use dh7 features.
     - Set dependency on autotools-dev to (>=20100122.1) to enable the use of
       the dh7 addons.
     - Removed dependency on quilt (as source format is now "3.0 (quilt)")
   * debian/rules:
     - Updated the rules file to use the dh7 features.
   * debian/postinst:
     - Removed the reload of apache2, as iptotal depends on httpd and not
       apache2. (Closes: #572246)
   * debian/postrm:
     - Removed the reload of apache2.
   * debian/links:
     - Removed the linking of /etc/apache2/conf.d/iptotal.
   * debian/patches:
     - 07_cgi_filename.diff: fixes incorrect filenames for graph images.
       (Closes: #574121)
   * debian/README.debian:
     - Explains the different directory changes that occurred over the last
       releases of iptotal.
     - Shows how to configure iptotal with apache2.
Checksums-Sha1: 
 2d821b53ea782d56d2766a1362643d6bd8588381 1115 iptotal_0.3.3-12.dsc
 dbc02da1b4e962ccac365b537397815e394d4330 12205 iptotal_0.3.3-12.debian.tar.gz
 7f8d511951426be56237ff9cfa7a09acb4d47c1a 61418 iptotal_0.3.3-12_amd64.deb
Checksums-Sha256: 
 865785a89da56db9d074cecf60aaf79faa76c81d6013ff6ad1667a8d340e21d9 1115 iptotal_0.3.3-12.dsc
 1b07ade7c16b44742d00648115e93d5a8aa9ec11632ce5972d42011d3ea5ee93 12205 iptotal_0.3.3-12.debian.tar.gz
 c24941af5eca8f30f91a8599eed912340f7d060834edd735bbb2a432a77393b9 61418 iptotal_0.3.3-12_amd64.deb
Files: 
 c10ca8daa5e603866b56c423bd7f6105 1115 admin extra iptotal_0.3.3-12.dsc
 0a03f407f88d0c47e6ffde20b4466805 12205 admin extra iptotal_0.3.3-12.debian.tar.gz
 94acd3b86f08f6898f1d7b6a651c38e5 61418 admin extra iptotal_0.3.3-12_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iFYEAREKAAYFAkuzlH4ACgkQGOp6XeD8cQ35HwDdG9Pbu3yyKqFlfnGWA+UVBFDN
cBeX8o/VxM9O4ADfSnmjjm0gndrIeA6ISDpX0HaonbsE0TcVqtuSKA==
=57jL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 May 2011 07:36:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:34:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.